Description

In the issue list when you try to select multiple items by ticking the box to the left of the item, if you miss one box they all get

deselected. This makes bulk edit a hard thing to use.

Suggest this is resolved. Add select all option or deselect all option.

Add the ability to use shift key to select a range of issues and the control key to select a number of issues not adjacent to each other.

This would improve the user interface a lot.

History

#1 - 2014-07-22 20:41 - Michael Esemplare

All of the functionality you describe exist already. Which version are you using?

To select/deselect all:

Click the check icon in the issue list column header. Hovering over this icon will display the tooltip "Check All/UnCheck All".

The issues list supports shift+click to select a series of issues.

The issues list supports ctrl+click to toggle selection of additional issues.

See RedmineIssueList for a picture of what I'm describing.

#2 - 2014-07-22 23:47 - John Gordon

Thanks for the pointers!

Using version 2.5.1 and 2.5.2 I see the select/ deselect all OK

So this only works with the key+click if you are somewhere else in the row not in the column area near the tick boxes.

The issue where an accidental click outside the click box deselects all you have ticked discourages trying clicking anywhere else.

Took me a few mins to work this one out.

1)So click in the tick box to select or deselect the row. Take care when ticking many tick boxes as a single click away from the column not in a tick box

appears to deselect all you have just ticked.

2)To select using ctrl+click and shift+click technique place you mouse pointer away from the tick box column some where else on the row required.

3)Select/deselect all using the column header green tick.

I can explain this properly to the team of 90 users now. Thanks

#3 - 2014-07-22 23:47 - John Gordon

- Status changed from New to Resolved

Thanks for the support

#4 - 2014-07-23 06:57 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
